Scientific Linux Security Update : pam_krb5 on SL3.x i386/x86_64

High Nessus Plugin ID 60460


The remote Scientific Linux host is missing a security update.


These updated pam-krb5 packages fix a bug which caused user authentication to fail under certain circumstances. When authenticating a user, if the user's password was expired, the module would attempt to obtain password-changing credentials in order to verify the user's password. When the module was configured to validate credentials, it would incorrectly attempt to validate the password-changing credentials, which cannot be validated in the way that a ticket-granting ticket can. In these updated packages, an exception is made in this case, thus resolving the issue.


Update the affected pam_krb5 package.

See Also

Plugin Details

Severity: High

ID: 60460

File Name: sl_20080804_pam_krb5_on_SL3_x.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2012/08/01

Modified: 2012/08/01

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2008/08/04